ident2(8)

NAME
ident2 - An advanced ident daemon

SYNOPSIS
ident2 [options]

DESCRIPTION
ident2 is an advanced ident daemon, which can run as an inetd service or on it's own. It has various features such as user defined and random replies, extensive logging, and full administrative control.

OPTIONS
The program follows the usual GNU syntax command-line unless it is unsupported on your system. GNU options begin with two dashes(`-') and have much more descriptive names.

-h, --help
    Show summary of options.

-u, --usage
    Shows example command lines

-v, --version
    Show version information

-l, --license
    Show licensing information

-a, --force-inetd
    Force inetd mode, if autodetection isn't working.

-d, --force-daemon
    Force standalone daemon, if autodetection isn't working.

-i, --use-user-ident
    Allow user defined ident replies. Just do a echo 'ident ar' > ~/.ident to change your ident reply.

-y, --user-reply-file
    File ident2 should look for in user's homedir for replies. Default is ~/.ident

-n, --allow-noident-file
    Disable replies for user if user has a ~/.noident file. This behavior is disabled by default.

-o, --client-timeout
    Clients timeout after this many seconds

-s, --dont-change-uid
    Ident2 will normally try to change it's uid to something less privileged if it finds it's uid to be 0. This option disables this behavior altogether.

-r, --always-random
    Always send a random reply, regardless of what kind of request the client made. This is useful for abusing the ident protocol as well as assisting outgoing IP masqueraded connections.

-m, --daemon-maxclients
    Daemon-only: Accept no more than this many connections at a time.

-p, --daemon-port
    Daemon-only: Bind this port, instead of 'auth' aka 113

SEE ALSO
inetd(8), inetd.conf(5)

AUTHOR
This manual page was written by Alexander Reelsen <ar@rhwd.net>, for the Debian GNU/Linux system (but may be used by others).